LeadSail
Clients

List clients

Returns all clients for the authenticated tenant.

GET
/api/v1/clients

Authorization

ApiKeyAuth
X-API-Key<token>

API key generated from your Vayaflow dashboard Settings page

In: header

Query Parameters

page?string
limit?string
active?string
Value in"true" | "false"
search?string

Search by name or abbreviation

Response Body

application/json

application/json

package mainimport (  "fmt"  "net/http"  "io/ioutil")func main() {  url := "https://api.leadsail.app/api/v1/clients"  req, _ := http.NewRequest("GET", url, nil)    res, _ := http.DefaultClient.Do(req)  defer res.Body.Close()  body, _ := ioutil.ReadAll(res.Body)  fmt.Println(res)  fmt.Println(string(body))}
{
  "success": true,
  "data": {
    "clients": [
      {
        "clientId": "string",
        "name": "string",
        "abbrev": "string",
        "active": true,
        "contactName": "string",
        "contactEmail": "user@example.com",
        "contactPhone": "string",
        "address": {
          "street": "string",
          "city": "string",
          "state": "string",
          "zip": "string",
          "country": "string"
        },
        "settings": {
          "defaultPostingUrl": "http://example.com",
          "postingMethod": "http",
          "acceptDuplicates": true,
          "maxLeadsPerDay": 0,
          "maxLeadsPerMonth": 0,
          "timezone": "string",
          "notificationEmail": "user@example.com",
          "sendDailyReport": true
        },
        "description": "string",
        "tags": [
          "string"
        ],
        "externalId": "string",
        "createdAt": "string",
        "updatedAt": "string",
        "archivedAt": "string"
      }
    ],
    "pagination": {
      "total": 0,
      "page": 0,
      "limit": 0
    }
  }
}
{
  "success": false,
  "error": {
    "code": "UNAUTHORIZED",
    "message": "Authentication required"
  }
}